DHS urges caution over Meltdown and Spectre

The Department of Homeland Security (DHS) issued a press release last week warning of the security vulnerabilities known as Meltdown and Spectre. According to DHS, the National Cybersecurity and Communications Center (NCCIC) is aware of the vulnerabilities, which affect modern computer processors and could allow attackers access to sensitive information. At the time of the release, DHS was not aware of any active exploitation of these vulnerabilities.

For more information about this issue, please follow the links below.
Update Your System Now to Protect Yourself Against Known Cyber Vulnerabilities, Department of Homeland Security
Meltdown and Spectre Side-Channel Vulnerability Guidance, United States Computer Emergency Readiness Team


  • SUBSCRIBE TO THE NEWSLETTER

    Sign up to receive updates by email. We do not sell or share your info.

    This field is for validation purposes and should be left unchanged.